stages:
  - lint
  - dependencies
  - test
  - prepare
  - release

include:
  - local: /templates/nodejs/default.gitlab-ci.yml
  - local: /templates/python/poetry.gitlab-ci.yml
  - local: /templates/semantic-release/default.gitlab-ci.yml
  - local: /templates/terraform/default.gitlab-ci.yml
  - local: /templates/gitlab/default.gitlab-ci.yml
  - local: /templates/lint/default.gitlab-ci.yml
